org.jbpm.services.task.impl.model

## Class PeopleAssignmentsImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.PeopleAssignmentsImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class PeopleAssignmentsImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `businessAdministrators`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `excludedOwners`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `potentialOwners`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `recipients`
    `static javax.persistence.metamodel.SingularAttribute<PeopleAssignmentsImpl,UserImpl>` | `taskInitiator`
    `static javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl>` | `taskStakeholders`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeopleAssignmentsImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### potentialOwners

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> potentialOwners

    - #### taskStakeholders

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> taskStakeholders

    - #### excludedOwners

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> excludedOwners

    - #### taskInitiator

          public static volatile javax.persistence.metamodel.SingularAttribute<PeopleAssignmentsImpl,UserImpl> taskInitiator

    - #### recipients

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> recipients

    - #### businessAdministrators

          public static volatile javax.persistence.metamodel.ListAttribute<PeopleAssignmentsImpl,OrganizationalEntityImpl> businessAdministrators

  - ### Constructor Detail

    - #### PeopleAssignmentsImpl_

          public PeopleAssignmentsImpl_()

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.